## org.eclipse.emf.cdo.ui
Class CDOEventHandler

    java.lang.Object
      org.eclipse.emf.cdo.ui.CDOEventHandler

    public class CDOEventHandler

extends java.lang.Object

Constructor Summary
`CDOEventHandler(CDOView view, TreeViewer treeViewer)`

Method Summary
`void` `dispose()`
`TreeViewer` `getTreeViewer()`
`CDOView` `getView()`
`boolean` `isAutoReloadEnabled()`
`protected void` `objectInvalidated(InternalCDOObject cdoObject)`
`void` `refreshTreeViewer()`
`void` `setTreeViewer(TreeViewer viewer)`
`protected void` `unwirePreferences()`
`protected void` `viewClosed()`
`protected void` `viewConflict(CDOObject conflictingObject, boolean firstConflict)`
`protected void` `viewDirtyStateChanged()`
`protected void` `viewInvalidated(java.util.Set<? extends CDOObject> dirtyObjects)`
`protected void` `wirePreferences()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CDOEventHandler

    public CDOEventHandler(CDOView view,
                           TreeViewer treeViewer)

Since:
  2.0

Method Detail

### dispose

    public void dispose()

  Since:
    2.0

### getView

    public CDOView getView()

  Since:
    2.0

### getTreeViewer

    public TreeViewer getTreeViewer()

### setTreeViewer

    public void setTreeViewer(TreeViewer viewer)

  Since:
    2.0

### refreshTreeViewer

    public void refreshTreeViewer()

  Since:
    2.0

### isAutoReloadEnabled

    public boolean isAutoReloadEnabled()

  Since:
    2.0

### wirePreferences

    protected void wirePreferences()

  Since:
    2.0

### unwirePreferences

    protected void unwirePreferences()

  Since:
    2.0

### viewInvalidated

    protected void viewInvalidated(java.util.Set<? extends CDOObject> dirtyObjects)

  Since:
    2.0

### objectInvalidated

    protected void objectInvalidated(InternalCDOObject cdoObject)

  Since:
    2.0

### viewDirtyStateChanged

    protected void viewDirtyStateChanged()

### viewConflict

    protected void viewConflict(CDOObject conflictingObject,
                                boolean firstConflict)

### viewClosed

    protected void viewClosed()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.